Page MenuHomePhabricator

Deferred update AutoCommitUpdate_LinksUpdate::doUpdate failed: Could not enqueue jobs: Unable to serialize events (CirrusSearch LinksUpdate)
Closed, ResolvedPublic

Description

#0 /srv/mediawiki/php-1.34.0-wmf.17/includes/jobqueue/JobQueue.php(350): JobQueueEventBus->doBatchPush(Array, 0)
#1 /srv/mediawiki/php-1.34.0-wmf.17/includes/jobqueue/JobQueue.php(320): JobQueue->batchPush(Array, 0)
#2 /srv/mediawiki/php-1.34.0-wmf.17/includes/jobqueue/JobQueueGroup.php(161): JobQueue->push(Array)
#3 /srv/mediawiki/php-1.34.0-wmf.17/extensions/CirrusSearch/includes/Hooks.php(443): JobQueueGroup->push(Array)
#4 /srv/mediawiki/php-1.34.0-wmf.17/includes/Hooks.php(174): CirrusSearch\Hooks::onLinksUpdateCompleted(Object(LinksUpdate), 1066299823)
#5 /srv/mediawiki/php-1.34.0-wmf.17/includes/Hooks.php(202): Hooks::callHook('LinksUpdateComp...', Array, Array, NULL)
#6 /srv/mediawiki/php-1.34.0-wmf.17/includes/deferred/LinksUpdate.php(200): Hooks::run('LinksUpdateComp...', Array)
#7 /srv/mediawiki/php-1.34.0-wmf.17/includes/deferred/AutoCommitUpdate.php(46): LinksUpdate->{closure}(Object(Wikimedia\Rdbms\MaintainableDBConnRef), 'LinksUpdate::do...')
#8 /srv/mediawiki/php-1.34.0-wmf.17/includes/deferred/DeferredUpdates.php(377): AutoCommitUpdate->doUpdate()
#9 /srv/mediawiki/php-1.34.0-wmf.17/includes/deferred/DeferredUpdates.php(280): DeferredUpdates::attemptUpdate(Object(AutoCommitUpdate), Object(Wikimedia\Rdbms\LBFactoryMulti))
#10 /srv/mediawiki/php-1.34.0-wmf.17/includes/deferred/DeferredUpdates.php(233): DeferredUpdates::run(Object(AutoCommitUpdate), Object(Wikimedia\Rdbms\LBFactoryMulti), Object(Monolog\Logger), Object(BufferingStatsdDataFactory), 'post')
#11 /srv/mediawiki/php-1.34.0-wmf.17/includes/deferred/DeferredUpdates.php(149): DeferredUpdates::handleUpdateQueue(Array, 'run', 2)
#12 /srv/mediawiki/php-1.34.0-wmf.17/includes/MediaWiki.php(934): DeferredUpdates::doUpdates('run')
#13 /srv/mediawiki/php-1.34.0-wmf.17/includes/MediaWiki.php(758): MediaWiki->restInPeace('fast', false)
#14 /srv/mediawiki/php-1.34.0-wmf.17/includes/MediaWiki.php(781): MediaWiki->{closure}()
#15 /srv/mediawiki/php-1.34.0-wmf.17/api.php(123): MediaWiki->doPostOutputShutdown('fast')
#16 /srv/mediawiki/w/api.php(3): require('/srv/mediawiki/...')
#17 {main}

Related content:

a:1:{i:0;a:6:{s:4:"meta";a:6:{s:3:"uri";s:49:"https://placeholder.invalid/wiki/Special:Badtitle";s:10:"request_id";s:24:"XVQnkApAIDsAAJSzePIAAABJ";s:2:"id";s:36:"8adc0711-bea7-11e9-a405-1866da9951f6";s:2:"dt";s:25:"2019-08-14T15:24:01+00:00";s:6:"domain";s:16:"en.wikipedia.org";s:5:"topic";s:48:"mediawiki.job.cirrusSearchLinksUpdatePrioritized";}s:8:"database";s:6:"enwiki";s:4:"type";s:34:"cirrusSearchLinksUpdatePrioritized";s:4:"sha1";s:40:"08cd368b2bd2b5fa1a802c6926835c47fa72c26b";s:6:"params";a:7:{s:10:"addedLinks";a:1:{i:0;s:9:"Main_Page";}s:12:"removedLinks";a:2:{i:0;s:21:"Cheeses…(of_Nazereth)";i:1;s:37:"Wikipedia:Votes_for_deletion/Cheeses…";}s:10:"prioritize";b:1;s:7:"cluster";N;s:9:"namespace";i:3;s:5:"title";s:23:"Ahoerstemeier/Archive_8";s:9:"requestId";s:24:"XVQnkApAIDsAAJSzePIAAABJ";}s:19:"mediawiki_signature";N;}}

Page: https://en.wikipedia.org/wiki/User_talk:Ahoerstemeier/Archive_8

Invalid UTF8 data seems to be present in the addedLinks/removedLinks keys passed in the job params.

Details

Related Gerrit Patches:

Event Timeline

dcausse created this task.Aug 19 2019, 3:31 PM
Restricted Application added subscribers: Liuxinyu970226, Aklapper. · View Herald TranscriptAug 19 2019, 3:31 PM
dcausse claimed this task.Sep 10 2019, 3:30 PM
dcausse triaged this task as Normal priority.
dcausse moved this task from elastic / cirrus to Current work on the Discovery-Search board.

Change 536203 had a related patch set uploaded (by DCausse; owner: DCausse):
[mediawiki/extensions/CirrusSearch@master] Ignore bad (UTF8) links returned from LinksUpdate::getRemovedLinks

https://gerrit.wikimedia.org/r/536203

dcausse closed this task as Resolved.Oct 1 2019, 5:32 PM
dcausse moved this task from Needs review to Done on the Discovery-Search (Current work) board.

Change 536203 merged by jenkins-bot:
[mediawiki/extensions/CirrusSearch@master] Ignore bad (UTF8) links returned from LinksUpdate::getRemovedLinks

https://gerrit.wikimedia.org/r/536203